Subject: Re: [Unbearable] [TokenBinding/Internet-Drafts] HTTPSTB: make it URL-safe base64 (#27)

From: Brian Campbell <[email-masked]>
Date: Mon, 09 May 2016 13:33:37 -0700

Current text in section 2 has "web-safe Base64-encoding" which many people will likely understand but is probably a bit too colloquial for an RFC. I might suggest something like the following, which borrows languge from existing RFCs that use a URL-safe base64 encoding.

> The header field name is "Sec-Token-Binding" and its value, EncodedTokenBindingMessage, is a web-safe Base64-encoding of the TokenBindingMessage defined in the TokenBindingProtocol [TBPROTO] using the URL- and filename-safe character set defined in Section 5 of RFC 4648 [RFC4648], with all trailing pad characters '=' omitted and without the inclusion of any line breaks, whitespace, or other additional characters.

---
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/TokenBinding/Internet-Drafts/issues/27#issuecomment-217980935